## imath 3.1.4

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

cmake_minimum_required(VERSION 3.12)

if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif()

if(POLICY CMP0077)
  # enable variables set outside to override options
  cmake_policy(SET CMP0077 NEW)
endif()

# Imath version

project(Imath VERSION 3.1.4 LANGUAGES C CXX)

set(IMATH_VERSION_RELEASE_TYPE "" CACHE STRING "Extra version tag string for Imath build, such as -dev, -beta1, etc.")

set(IMATH_VERSION ${Imath_VERSION})
set(IMATH_VERSION_API "${Imath_VERSION_MAJOR}_${Imath_VERSION_MINOR}")

# Library/shared-object version using libtool versioning policy.
# See https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
#
# Library API version (CMake's library VERSION attribute) is of the
# form CURRENT.REVISION.AGE; the CMake SOVERSION attribute corresonds
# to just CURRENT. These produce a .so and a symlink symlink, e.g.:
# libImath-3_1.so.29 -> libImath-3_1.so.29.0.0
#                 ^                     ^  ^ ^
#                 |                     |  | |
#                 CURRENT               |  | AGE
#                                       |  REVISION 
#                                       CURRENT
# When updating:
#   1. no API change: CURRENT.REVISION+1.AGE
#   2. API added:     CURRENT+1.0.AGE+1
#   3. API changed:   CURRENT+1.0.0
#
set(IMATH_LIBTOOL_CURRENT 29)
set(IMATH_LIBTOOL_REVISION 3)
set(IMATH_LIBTOOL_AGE 0)
set(IMATH_LIB_VERSION "${IMATH_LIBTOOL_CURRENT}.${IMATH_LIBTOOL_REVISION}.${IMATH_LIBTOOL_AGE}")
set(IMATH_LIB_SOVERSION ${IMATH_LIBTOOL_CURRENT})

# ImathSetup.cmake declares all the configuration variables visible
# in cmake-gui or similar and the rest of the global
# project setup. Check the context to see what is configurable.
include(config/ImathSetup.cmake)

message(STATUS "Configure ${IMATH_PACKAGE_NAME}, library API version: ${IMATH_LIB_VERSION}")

# Config headers and package config files
add_subdirectory(config)

# Utility function for the repeated boilerplate of defining the libraries
include(config/LibraryDefine.cmake)

# Source code is in src/Imath
add_subdirectory(src/Imath)

# Imath_DIR points to the location of ImathConfig.cmake, which tells
# downstream projects where to find Imath, via find_package(Imath).
set(Imath_DIR "${CMAKE_CURRENT_BINARY_DIR}/config" CACHE PATH "" FORCE)

# Add an empty ImathTargets.cmake file for the config to use. It can
# be empty since we already defined the targets in add_subdirectory().
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/config/ImathTargets.cmake" "# Dummy file")

option(PYTHON "Set ON to compile PyImath bindings")
if (PYTHON)
  add_subdirectory(src/python)
endif()

option(DOCS "Set ON to build html documentation")
if (DOCS AND NOT IMATH_IS_SUBPROJECT)
  option(INSTALL_DOCS "Set ON to install html documentation" ON)
  add_subdirectory(docs)
endif()

# If you want to use ctest to configure, build and
# upload the results, cmake has builtin support for
# submitting to CDash, or any server who speaks the
# same protocol
# 
# These settings will need to be set for your environment,
# and then a script such as the example in
#
# cmake/SampleCTestScript.cmake
#
# edited and placed into the CI system, then run:
#
# cmake -S cmake/SampleCTestScript.cmake
#
# [or whatever you name the file you edit]
# 
#set(CTEST_PROJECT_NAME "Imath")
#set(CTEST_NIGHTLY_START_TIME "01:01:01 UTC")
#set(CTEST_DROP_METHOD "http") # there are others...
#set(CTEST_DROP_SITE "open.cdash.org")
#set(CTEST_DROP_LOCATION "/submit.php?project=MyProject")
#set(CTEST_DROP_SITE_CDASH TRUE)
include(CTest)
if(BUILD_TESTING AND NOT IMATH_IS_SUBPROJECT)
  enable_testing()
  add_subdirectory(src/ImathTest)
endif()

# Including this module will add a `clang-format` target to the build
# if the clang-format executable can be found. Only do this if we are
# top level.
if(NOT IMATH_IS_SUBPROJECT)
  include(cmake/clang-format.cmake)
endif()

=== docs/requirements.txt ===
breathe
sphinx == 4.0.3

=== debian/changelog ===
imath (3.1.4-3) unstable; urgency=medium

  * debian/rules: expand Python version
  * debian/copyright: extend copyright timestamp

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Mar 2022 13:50:24 +0100

imath (3.1.4-2) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Team upload.
  * d/rules: Make sure to remove another FATAL_ERROR from cmake config files

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure override. Closes: #1003804

 -- Mathieu Malaterre <malat@debian.org>  Mon, 21 Feb 2022 14:09:14 +0100

imath (3.1.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset dropped (merged upstream)
  * debian/rules: bump API revision 2 -> 3

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 04 Feb 2022 00:11:51 +0100

imath (3.1.3-10) unstable; urgency=medium

  * Team upload.
  * d/rules: Downgrade an error to simply a status message. Closes: #1004067

 -- Mathieu Malaterre <malat@debian.org>  Sun, 23 Jan 2022 17:29:48 +0100

imath (3.1.3-9) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix installation for indep only debuild (-A)

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Jan 2022 11:54:31 +0100

imath (3.1.3-8) unstable; urgency=medium

  * d/rules Make sure to only build docs when needed
  * d/control: Remove self from Uploader.

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 17:06:02 +0100

imath (3.1.3-7) unstable; urgency=medium

  * d/rules: Refactor the install rules

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 15:29:58 +0100

imath (3.1.3-6) unstable; urgency=medium

  * Upload imath to unstable
  * d/rules: Test suite is written for sse-type arch
  * d/rules: Fix lintian missing-dependency-on-numpy-abi error
  * d/patches: Remove some simple typos in the code

 -- Mathieu Malaterre <malat@debian.org>  Thu, 13 Jan 2022 14:31:57 +0100

imath (3.1.3-5) experimental; urgency=medium

  * d/patches: Prevent race condition (dh --parallel)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 30 Nov 2021 10:06:05 +0100

imath (3.1.3-4) experimental; urgency=medium

  * debian/control: completely move Indep b-deps to Arch-dep

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 20:34:29 +0100

imath (3.1.3-3) experimental; urgency=medium

  * debian/control: doxygen b-dep moved away from indep

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 15:48:52 +0100

imath (3.1.3-2) experimental; urgency=medium

  * debian/control: python3-numpy b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Nov 2021 14:01:45 +0100

imath (3.1.3-1) experimental; urgency=medium

  * Initial release. (Closes: #994723)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Oct 2021 23:21:03 +0200

=== debian/control ===
Source: imath
Section: libs
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               doxygen,
               libboost-python-dev,
               pkg-config,
               python3-breathe,
               python3-dev:any,
               python3-numpy,
               python3-sphinx
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.openexr.com
Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/imath

Package: libimath-3-1-29
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Utility libraries from ASF used by OpenEXR - runtime
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides the runtime libraries.

Package: libimath-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libimath-3-1-29 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libilmbase-dev
Provides: libilmbase-dev
Replaces: libilmbase-dev
Description: Utility libraries from ASF used by OpenEXR - development
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides the development files for Imath.

Package: libimath-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, sphinx-common, ${misc:Depends}
Description: Utility libraries from ASF used by OpenEXR - documentation
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides the official documentation for Imath.

Package: python3-imath
Section: python
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Utility libraries from ASF used by OpenEXR - Python bindings
 Imath is a basic, light-weight, and efficient C++ representation of
 2D and 3D vectors and matrices and other simple but useful
 mathematical objects, functions, and data types common in computer
 graphics applications, including the “half” 16-bit floating-point type.
 .
 Imath also includes optional Python bindings for all types and
 functions, including optimized implementations of vector and
 matrix arrays.
 .
 This package provides Python bindings to the Imath library.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

INSTDIR = debian/tmp

%:
	dh $@ -Bbuild -Scmake --with python3

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-DDOCS=$(BUILDDOC) \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
		-DPYTHON=ON

# https://github.com/AcademySoftwareFoundation/Imath/issues/226
override_dh_auto_test-arch:
	dh_auto_test || true

override_dh_auto_build-indep:
	dh_auto_build -- docs

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_auto_install-indep:
	# Since compat/13 only files for indep should installed:
	dh_auto_install -- -C docs

pkg_lib = libimath-3-1-29
pkg_dev = libimath-dev
pkg_doc = libimath-doc
pkg_py  = python3-imath

override_dh_install-indep:
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/doctools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/language_data.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/searchtools.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/_static/underscore.js
	rm -f $(INSTDIR)/usr/share/doc/Imath/sphinx/.buildinfo
	rm -rf $(INSTDIR)/usr/share/doc/Imath/sphinx/.doctrees
	dh_install -p$(pkg_doc) usr/share/doc/Imath/sphinx/* usr/share/doc/libimath-doc/html

override_dh_install-arch:
	# See #1004067
	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathConfig.cmake
	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathTargets.cmake
	dh_numpy3 --package=$(pkg_py)
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.3.0
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath.so
	dh_install -p$(pkg_dev) debian/tmp/usr/include
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.3.0
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imath.so
	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imathnumpy.so

## imath 3.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 # Imath version
 
-project(Imath VERSION 3.1.4 LANGUAGES C CXX)
+project(Imath VERSION 3.1.5 LANGUAGES C CXX)
 
 set(IMATH_VERSION_RELEASE_TYPE "" CACHE STRING "Extra version tag string for Imath build, such as -dev, -beta1, etc.")
 
@@ -39,7 +39,7 @@
 #   3. API changed:   CURRENT+1.0.0
 #
 set(IMATH_LIBTOOL_CURRENT 29)
-set(IMATH_LIBTOOL_REVISION 3)
+set(IMATH_LIBTOOL_REVISION 4)
 set(IMATH_LIBTOOL_AGE 0)
 set(IMATH_LIB_VERSION "${IMATH_LIBTOOL_CURRENT}.${IMATH_LIBTOOL_REVISION}.${IMATH_LIBTOOL_AGE}")
 set(IMATH_LIB_SOVERSION ${IMATH_LIBTOOL_CURRENT})

=== debian/changelog ===
imath (3.1.5-1ubuntu2) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:10:14 +0000

imath (3.1.5-1ubuntu1) kinetic; urgency=medium

  * Don't build python3-imath on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 05:53:07 +0000

imath (3.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 27 Apr 2022 22:58:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: imath
 Section: libs
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-python,
+               dh-python [!i386],
                doxygen,
-               libboost-python-dev,
+               libboost-python-dev [!i386],
                pkg-config,
-               python3-breathe,
-               python3-dev:any,
-               python3-numpy,
-               python3-sphinx
+               python3-breathe [!i386],
+               python3-dev:any [!i386],
+               python3-numpy [!i386],
+               python3-sphinx [!i386]
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,17 @@
 export DH_OPTIONS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifneq ($(DEB_HOST_ARCH), i386)
+    witharg = --with python3
+    cmake_python = -DPYTHON=ON
+endif
+
 INSTDIR = debian/tmp
 
 %:
-	dh $@ -Bbuild -Scmake --with python3
+	dh $@ -Bbuild -Scmake $(witharg)
 
 # deduce documentation option (build-indep target)
 ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
@@ -21,7 +28,7 @@
 	dh_auto_configure -- \
 		-DDOCS=$(BUILDDOC) \
 		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
-		-DPYTHON=ON
+		$(cmake_python)
 
 # https://github.com/AcademySoftwareFoundation/Imath/issues/226
 override_dh_auto_test-arch:
@@ -56,16 +63,20 @@
 	# See #1004067
 	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathConfig.cmake
 	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathTargets.cmake
+ifneq ($(DEB_HOST_ARCH), i386)
 	dh_numpy3 --package=$(pkg_py)
-	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.3.0
+endif
+	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.4.0
 	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/include
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+ifneq ($(DEB_HOST_ARCH), i386)
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29
-	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.3.0
+	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.4.0
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imath.so
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imathnumpy.so
+endif

## imath 3.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 # Imath version
 
-project(Imath VERSION 3.1.5 LANGUAGES C CXX)
+project(Imath VERSION 3.1.6 LANGUAGES C CXX)
 
 set(IMATH_VERSION_RELEASE_TYPE "" CACHE STRING "Extra version tag string for Imath build, such as -dev, -beta1, etc.")
 
@@ -39,7 +39,7 @@
 #   3. API changed:   CURRENT+1.0.0
 #
 set(IMATH_LIBTOOL_CURRENT 29)
-set(IMATH_LIBTOOL_REVISION 4)
+set(IMATH_LIBTOOL_REVISION 5)
 set(IMATH_LIBTOOL_AGE 0)
 set(IMATH_LIB_VERSION "${IMATH_LIBTOOL_CURRENT}.${IMATH_LIBTOOL_REVISION}.${IMATH_LIBTOOL_AGE}")
 set(IMATH_LIB_SOVERSION ${IMATH_LIBTOOL_CURRENT})

=== docs/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

find_package(Doxygen REQUIRED)
find_package(Sphinx REQUIRED)

set(DOXYGEN_INPUT_DIR ${PROJECT_SOURCE_DIR}/src/Imath)
set(DOXYGEN_OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/doxygen)
set(DOXYGEN_INDEX_FILE ${DOXYGEN_OUTPUT_DIR}/html/index.html)
set(DOXYFILE_IN ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in)
set(DOXYFILE_OUT ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

set(SPHINX_SOURCE ${CMAKE_CURRENT_SOURCE_DIR})
set(SPHINX_BUILD ${CMAKE_CURRENT_BINARY_DIR}/sphinx)
set(SPHINX_INDEX_FILE ${SPHINX_BUILD}/index.html)

configure_file(${DOXYFILE_IN} ${DOXYFILE_OUT} @ONLY)

file(MAKE_DIRECTORY ${DOXYGEN_OUTPUT_DIR})

add_custom_command(OUTPUT ${DOXYGEN_INDEX_FILE}
                   COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYFILE_OUT}
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/fixmanpages.sh ${DOXYGEN_OUTPUT_DIR}
                   MAIN_DEPENDENCY ${DOXYFILE_OUT} ${DOXYFILE_IN}
                   COMMENT "Running doxygen"
                   VERBATIM)

add_custom_command(OUTPUT ${SPHINX_INDEX_FILE}
                   COMMAND 
                     ${SPHINX_EXECUTABLE} -b html
                     # Tell Breathe where to find the Doxygen output
                     -Dbreathe_projects.Imath=${DOXYGEN_OUTPUT_DIR}/xml
                   ${SPHINX_SOURCE} ${SPHINX_BUILD}
                   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS ${DOXYGEN_INDEX_FILE}
                   MAIN_DEPENDENCY conf.py
                   COMMENT "Generating documentation with Sphinx")

add_custom_target(docs ALL DEPENDS ${SPHINX_INDEX_FILE} ${DOXYGEN_INDEX_FILE})

# Add an install target to install the docs
if(INSTALL_DOCS)
    include(GNUInstallDirs)
    install(DIRECTORY ${SPHINX_BUILD}
    DESTINATION ${CMAKE_INSTALL_DOCDIR})
endif()

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ReadTheDocs-Breathe.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ReadTheDocs-Breathe.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ReadTheDocs-Breathe"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ReadTheDocs-Breathe"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
breathe
sphinx == 4.4.0

=== src/ImathTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if("${CMAKE_PROJECT_NAME}" STREQUAL "")
  # If the project name is set, this is being configured as a part of
  # Imath.  If there is no project name, it's being configured as a
  # standalone program linking against an already-installed Imath
  # library.
  cmake_minimum_required(VERSION 3.12)
  project(ImathTest)
  find_package(Imath)
endif()

add_executable(ImathTest 
  main.cpp
  testBox.cpp
  testBoxAlgo.cpp
  testColor.cpp
  testExtractEuler.cpp
  testExtractSHRT.cpp
  testFrustum.cpp
  testFrustumTest.cpp
  testFun.cpp
  testInterval.cpp
  testInvert.cpp
  testJacobiEigenSolver.cpp
  testLineAlgo.cpp
  testMatrix.cpp
  testMiscMatrixAlgo.cpp
  testProcrustes.cpp
  testQuat.cpp
  testQuatSetRotation.cpp
  testQuatSlerp.cpp
  testRandom.cpp
  testRoots.cpp
  testShear.cpp
  testTinySVD.cpp
  testVec.cpp
  testArithmetic.cpp
  testBitPatterns.cpp
  testClassification.cpp
  testError.cpp
  testFunction.cpp
  testLimits.cpp
  testSize.cpp
  testToFloat.cpp
  testInterop.cpp
)

target_link_libraries(ImathTest Imath::Imath)
set_target_properties(ImathTest PROPERTIES
  RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
  )


if(NOT "${CMAKE_PROJECT_NAME}" STREQUAL "ImathTest")

  add_executable(ImathHalfCTest half_c_main.c)
  target_link_libraries(ImathHalfCTest Imath::Config)
  target_include_directories(ImathHalfCTest PRIVATE "../Imath")
  #target_compile_options(ImathHalfCTest PRIVATE -mavx2 -mf16c)
  if (IMATH_USE_HALF_LOOKUP_TABLE)
    target_link_libraries(ImathHalfCTest Imath::Imath)
  endif()

  set_target_properties(ImathHalfCTest PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
    )
  add_test(NAME Imath.half_c_only COMMAND $<TARGET_FILE:ImathHalfCTest>)

endif()

add_executable(ImathHalfPerfTest half_perf_test.cpp)
set_target_properties(ImathHalfPerfTest PROPERTIES
RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin"
)
target_link_libraries(ImathHalfPerfTest Imath::Imath)

function(DEFINE_IMATH_TESTS)
  foreach(curtest IN LISTS ARGN)
    add_test(NAME Imath.${curtest} COMMAND $<TARGET_FILE:ImathTest> ${curtest})
  endforeach()
endfunction()

define_imath_tests(
  testToFloat
  testSize
  testArithmetic
  testNormalizedConversionError
  testDenormalizedConversionError
  testRoundingError
  testBitPatterns
  testClassification
  testLimits
  testHalfLimits
  testFunction
  testVec
  testColor
  testShear
  testMatrix
  testMiscMatrixAlgo
  testRoots
  testFun
  testInvert
  testInterval
  testFrustum
  testRandom
  testExtractEuler
  testExtractSHRT
  testQuat
  testQuatSetRotation
  testQuatSlerp
  testLineAlgo
  testBoxAlgo
  testBox
  testProcrustes
  testTinySVD
  testJacobiEigenSolver
  testFrustumTest
  testInterop
)

=== src/python/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

#######################################
#######################################
# This declares all the configuration variables visible
# in cmake-gui or similar and the rest of the global
# project setup
#
# Please look at this file to see what is configurable
#######################################
#######################################
include(config/PyImathSetup.cmake)

# we are building a python extension, so of course we depend on
# python as well. Except we don't know which version...
# cmake 3.14 can also search for numpy, but we only depend on 3.12
# in the rest of OpenEXR right now...

# first make sure we find *some* python
find_package(Python COMPONENTS Interpreter Development)
if(NOT TARGET Python::Interpreter AND NOT TARGET Python::Python)
  message(WARNING "Unable to find any python interpreter or libraries, disabling PyImath")
  return()
endif()

# we don't need cmake_dependant_option here, because the file is
# included only if -DPYTHON=ON
option(USE_PYTHON2 "Whether to use Python 2.x or 3.x" OFF)

# now determine which (or both), and compile for both
if(USE_PYTHON2)
  find_package(Python2 COMPONENTS Interpreter Development)
  if(Python2_FOUND)
    message(STATUS "Found Python ${Python2_VERSION}")
  elseif(Python2::Python)
    message(WARNING "Found Python ${Python2_VERSION} development libraries, but no interpreter")
  elseif(Python2::Interpreter)
    message(WARNING "Found Python ${Python2_VERSION} interpreter, but no development libraries")
  else()
    message(WARNING "Unable to find Python2 interpreter or development libraries")
  endif()
  set(PY_MAJOR_VERSION ${Python2_VERSION_MAJOR})
  set(Python_VERSION_MAJOR ${Python2_VERSION_MAJOR})
  set(Python_VERSION_MINOR ${Python2_VERSION_MINOR})
  set(Python_EXECUTABLE ${Python2_EXECUTABLE})
  set(Python_SITEARCH ${Python2_SITEARCH})
else()
  find_package(Python3 COMPONENTS Interpreter Development)
  if(Python3_FOUND)
    message(STATUS "Found Python ${Python3_VERSION}")
  elseif(Python3::Python)
    message(WARNING "Found Python ${Python3_VERSION} development libraries, but no interpreter")
  elseif(Python3::Interpreter)
    message(WARNING "Found Python ${Python3_VERSION} interpreter, but no development libraries")
  else()
    message(WARNING "Unable to find Python3 interpreter or development libraries")
  endif()
  set(PY_MAJOR_VERSION ${Python3_VERSION_MAJOR})
  set(Python_VERSION_MAJOR ${Python3_VERSION_MAJOR})
  set(Python_VERSION_MINOR ${Python3_VERSION_MINOR})
  set(Python_EXECUTABLE ${Python3_EXECUTABLE})
  set(Python_SITEARCH ${Python3_SITEARCH})
endif()

if (NOT Python2_FOUND AND NOT Python3_FOUND)
  message(WARNING "Disabling PyImath")
  return()
endif()

# Now that we know what versions of python we have, let's look
# for our other dependency - boost.
# Boost Python has some .. annoyances in that the python module
# has version names attached to it
function(PYIMATH_EXTRACT_REL_SITEARCH varname pyver pyexe pysitearch)
  if(PYIMATH_OVERRIDE_PYTHON_INSTALL_DIR)
    set(${varname} ${PYIMATH_OVERRIDE_PYTHON_INSTALL_DIR} CACHE STRING "Destination sub-folder (relative) for the python ${pyver} modules")
    message(STATUS "Will install to: ${PYIMATH_OVERRIDE_PYTHON_INSTALL_DIR}")
  else()
    get_filename_component(_exedir ${pyexe} DIRECTORY)
    # we do this such that cmake will canonicalize the slashes
    # so the directory search will work under windows and unix
    # consistently
    get_filename_component(_basedir ${pysitearch} DIRECTORY)
    get_filename_component(_basename ${pysitearch} NAME)
    set(_basedir "${_basedir}/${_basename}")
    string(FIND ${_basedir} ${_exedir} _findloc)
    string(LENGTH ${_exedir} _elen)
    while(_findloc EQUAL -1 AND _elen GREATER 0)
      get_filename_component(_nexedir ${_exedir} DIRECTORY)
      string(FIND ${_basedir} ${_nexedir} _findloc)
      if (_nexedir STREQUAL _exedir)
          message(WARNING "Unable to get parent directory for ${_exedir}, using absolute python site arch folder ${pysitearch}")
          set(_elen -1)
          break()
      else()
          set(_exedir ${_nexedir})
      endif()
      string(LENGTH ${_exedir} _elen)
    endwhile()
    math(EXPR _elen "${_elen}+1")
    string(SUBSTRING ${_basedir} ${_elen} -1 _reldir)
    if(APPLE)
      # on macOS, set install path to user's python package directory
      # so that elevated privileges are not necessary
      execute_process(
        COMMAND "${pyexe}" -c "if True:
          import sysconfig
          print(sysconfig.get_path('platlib', 'posix_user'))"
        OUTPUT_VARIABLE _reldir
        OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
    set(${varname} ${_reldir} CACHE STRING "Destination sub-folder (relative) for the python ${pyver} modules")
    message(STATUS "Will install to: ${_reldir}")
  endif()
endfunction()

set(PYIMATH_BOOST_PY_COMPONENT "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}")
message(STATUS "Found Python${Python_VERSION_MAJOR} libraries: ${Python_VERSION_MAJOR}${Python_VERSION_MINOR}")
# we can't just use the Python2_SITEARCH variable as that then will
# ignore CMAKE_INSTALL_PREFIX. Could extract this to a function somewhere
# if it is generally useful
pyimath_extract_rel_sitearch(PyImath_Python${Python_VERSION_MAJOR}_SITEARCH_REL ${Python_VERSION_MAJOR} ${Python_EXECUTABLE} ${Python_SITEARCH})

# different flavors of O.S. have multiple versions of python
# some of them have both. Then for boost, some versions of boost
# have just a python component, some it's by major version (python2/python3)
# and still others have maj/min (python27)
# let's run a search and see what we get instead of making it
# an explicit required. The older names are not portable, but
# we'll do the best we can

### NB: We are turning this on globally by default as the boost
###     generated cmake config files seem to be broken and they
###     cross-wire python 2 with 3 in the same variables
option(Boost_NO_BOOST_CMAKE "Disable boost-provided cmake config" ON)
if(Boost_NO_BOOST_CMAKE)
  message(STATUS "Disabling boost-provided cmake config. If this causes problems, consider setting Boost_NO_BOOST_CMAKE variable to OFF")
endif()

find_package(Boost OPTIONAL_COMPONENTS
  python
  python${Python_VERSION_MAJOR}
  ${PYIMATH_BOOST_PY_COMPONENT})
set(_pyimath_have_perver_boost)
if(PYIMATH_BOOST_PY_COMPONENT)
  string(TOUPPER ${PYIMATH_BOOST_PY_COMPONENT} PYIMATH_PY_UPPER)
else()
  set(PYIMATH_BOOST_PY_COMPONENT python${Python_VERSION_MAJOR}x_NOTFOUND)
  set(PYIMATH_PY_UPPER PYTHON${Python_VERSION_MAJOR}X_NOTFOUND)
endif()
if(Boost_PYTHON${Python_VERSION_MAJOR}_FOUND OR Boost_${PYIMATH_PY_UPPER}_FOUND)
  set(_pyimath_have_perver_boost TRUE)
  if(NOT Boost_${PYIMATH_PY_UPPER}_FOUND)
    message(WARNING "Legacy Boost python${Python_VERSION_MAJOR} found, but does not include minor version, this is an old configuration and may not be portable")
    set(PYIMATH_BOOST_PY_COMPONENT python${Python_VERSION_MAJOR})
  endif()
endif()

if(Boost_PYTHON_FOUND AND NOT _pyimath_have_perver_boost)
  # old boost case, I guess we just warn and assume it is python2 (likely)
  message(WARNING "Ambiguous boost python module found, assuming python ${Python_VERSION_MAJOR}. If you have a new boost library, try cleaning the cmake cache and reconfigure with -DBoost_NO_BOOST_CMAKE=ON")
  set(PYIMATH_BOOST_PY_COMPONENT python)
  # set it to a bogus string but not empty so later we don't test against a namespace only target
#  set(PYIMATH_BOOST_PY3_COMPONENT pythonIgnore)
elseif(NOT _pyimath_have_perver_boost)
  message(WARNING "Unable to find boost::python library, disabling PyImath. If you believe this is wrong, check the cmake documentation and see if you need to set Boost_ROOT or Boost_NO_BOOST_CMAKE")
  return()
else()
  if(TARGET Boost::${PYIMATH_BOOST_PY_COMPONENT})
    message(STATUS "Found Python ${Python_VERSION_MAJOR} boost: Boost::${PYIMATH_BOOST_PY_COMPONENT}")
  elseif(Boost_PYTHON_FOUND OR Boost_${PYIMATH_PY_UPPER}_FOUND)
    message(WARNING "Found boost for python ${Python_VERSION_MAJOR}, but FindBoost did not create an import library. If you believe this is wrong, check the cmake documentation and see if you need to set Boost_ROOT or Boost_NO_BOOST_CMAKE")
    return()
  endif()
endif()
unset(PYIMATH_PY_UPPER)
unset(_pyimath_have_perver_boost)

# unfortunately, we can't use the boost numpy stuff, as that requires a
# version of boost that is newer than is mandated by many active versions
# of the VFX reference platform (numpy became active in 1.63 of boost).
# rather than make this an "official" find package thing
include(config/NumPyLocate.cmake)


# utility function for the repeated boilerplate of defining
# the libraries and/or python modules
include(config/ModuleDefine.cmake)

##########################
add_subdirectory(config)

if(NOT BUILD_SHARED_LIBS)
  message(WARNING "Forcing python bindings to be built with dynamic libraries")
endif()

add_subdirectory( PyImath )
if(TARGET Python2::ImathNumPy OR TARGET Python3::ImathNumPy)
  add_subdirectory( PyImathNumpy )
endif()

##########################
# Tests
##########################
include(CTest)
if(BUILD_TESTING)
  enable_testing()
  add_subdirectory( PyImathTest )
  add_subdirectory( PyImathSpeedTest )
  if(TARGET Python2::ImathNumPy OR TARGET Python3::ImathNumPy)
    add_subdirectory( PyImathNumpyTest )
  endif()
endif()

=== src/python/PyImathTest/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# Copyright Contributors to the OpenEXR Project.

if(TARGET Python2::Interpreter)
  add_test(PyImath.PyImathTest_Python2
    ${Python2_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pyImathTest.in
  )
  set_tests_properties(PyImath.PyImathTest_Python2 PROPERTIES
    ENVIRONMENT "PYTHONPATH=${CMAKE_BINARY_DIR}/python${Python2_VERSION_MAJOR}_${Python2_VERSION_MINOR}"
  )
endif()

if(TARGET Python3::Interpreter)
  add_test(PyImath.PyImathTest_Python3
    ${Python3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pyImathTest.in
  )
  set_tests_properties(PyImath.PyImathTest_Python3 PROPERTIES
    ENVIRONMENT "PYTHONPATH=${CMAKE_BINARY_DIR}/python${Python3_VERSION_MAJOR}_${Python3_VERSION_MINOR}"
  )
endif()

=== debian/changelog ===
imath (3.1.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 15:17:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: imath
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dh-python [!i386],
+               dh-python,
                doxygen,
-               libboost-python-dev [!i386],
+               libboost-python-dev,
                pkg-config,
-               python3-breathe [!i386],
-               python3-dev:any [!i386],
-               python3-numpy [!i386],
-               python3-sphinx [!i386]
-Standards-Version: 4.6.0
+               python3-breathe,
+               python3-dev:any,
+               python3-numpy,
+               python3-sphinx
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.openexr.com
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/imath.git

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,10 @@
 export DH_OPTIONS
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifneq ($(DEB_HOST_ARCH), i386)
-    witharg = --with python3
-    cmake_python = -DPYTHON=ON
-endif
-
 INSTDIR = debian/tmp
 
 %:
-	dh $@ -Bbuild -Scmake $(witharg)
+	dh $@ -Bbuild -Scmake --with python3
 
 # deduce documentation option (build-indep target)
 ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
@@ -28,7 +21,7 @@
 	dh_auto_configure -- \
 		-DDOCS=$(BUILDDOC) \
 		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
-		$(cmake_python)
+		-DPYTHON=ON
 
 # https://github.com/AcademySoftwareFoundation/Imath/issues/226
 override_dh_auto_test-arch:
@@ -63,20 +56,16 @@
 	# See #1004067
 	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathConfig.cmake
 	sed -i -e "s/FATAL_ERROR/STATUS/g" debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Imath/ImathTargets.cmake
-ifneq ($(DEB_HOST_ARCH), i386)
 	dh_numpy3 --package=$(pkg_py)
-endif
-	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.4.0
+	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29.5.0
 	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so.29
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath-3_1.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libImath.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/include
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-ifneq ($(DEB_HOST_ARCH), i386)
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29
-	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.4.0
+	dh_install -p$(pkg_py)  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libPyImath_Python3_*-3_1.so.29.5.0
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imath.so
 	dh_install -p$(pkg_py)  debian/tmp/usr/lib/python3/dist-packages/imathnumpy.so
-endif

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/imath-$1\.tar\.gz/, \
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, \
pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/" \
https://github.com/AcademySoftwareFoundation/imath/tags .*/v?(\d\S+)\.tar\.gz
